// Sensor
#include <zephyr.h>
#include <device.h>
#include <drivers/sensor.h>
#include <drivers/gpio.h>


#include <inttypes.h>
#include "Pressure.h"


// sensor adjustments - only used for mpu9250 temperature measurements (-6.0°C)
#define SENSOR_OFFSET_TEMPERATURE 0
#define SENSOR_MULTIPLIER_PRESSURE 2
struct sensor_value pressureData;
struct sensor_value temperatureData;


void fetchPressureSensor(const struct device *dev){
	struct sensor_value temperature;
	int rc = sensor_sample_fetch(dev);
	if (rc == 0) {
		rc = sensor_channel_get(dev, SENSOR_CHAN_AMBIENT_TEMP,&temperatureData);
		rc = sensor_channel_get(dev, SENSOR_CHAN_PRESS,&pressureData);
	}else
	{
		printf("cannot fetch data from pressure Sensor");
	}
	
}

/**************************************************************** 
 * reads temperature from MS5637
*/
uint16_t get_temperature()
{
	printf("%g Cel\n",	sensor_value_to_double(&temperatureData));
	temperatureData.val1 = temperatureData.val1 + SENSOR_OFFSET_TEMPERATURE;
	return sensor_value_to_double(&temperatureData)*100;
}

/****************************************************************
 * Get pressure from MS5637
 * // TODO: ggf noch negative Werte vermeiden
*/
uint16_t get_pressure()
{
	printf("%g hPa\n", sensor_value_to_double(&pressureData)*10*SENSOR_MULTIPLIER_PRESSURE);
	return (sensor_value_to_double(&pressureData)*10*SENSOR_MULTIPLIER_PRESSURE);
}


